%define _requires_exceptions perl\(DP::CoreModules\)
%define	name	dayplanner
%define	version 0.11
%define rel	1
%define	release	%mkrel %rel

Name:		%{name} 
Summary:	An easy and clean Day Planner
Summary(de):	Ein einfaches Programm für Termine
Version:	%{version} 
Release:	%{release} 
Source0:	http://download.gna.org/dayplanner/%{name}-%{version}.tar.xz
URL:		http://www.day-planner.org/
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv3+
BuildRequires:	perl
Requires:	perl-IO-Socket-SSL

%description
Day Planner is a simple time management program.

Day Planner is designed to help you easily manage your time.
It can manage appointments, birthdays and more. It makes sure you
remember your appointments by popping up a dialog box reminding you about it.

%description -l de
DayPlanner ist ein einfaches Termin-Management-Programm. 
DayPlanner ist so konzipiert, dass sie einfach Ihre Termine verwalten können. 
Aber nicht nur Termine sondern Geburtstage und vieles mehr beherrscht das Programm. 
Es erinnert sie an Ihre Termine durch Aufspringen eines Dialogfeldes. 


%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall


# Install the icons
install -m644 ./art/dayplanner-24x24.png -D $RPM_BUILD_ROOT%{_iconsdir}/dayplanner.png
install -m644 ./art/dayplanner-16x16.png -D $RPM_BUILD_ROOT%{_miconsdir}/dayplanner.png
install -m644 ./art/dayplanner-48x48.png -D $RPM_BUILD_ROOT%{_liconsdir}/dayplanner.png
# (High contrast icons)
install -m644 ./art/dayplanner_HC24.png -D $RPM_BUILD_ROOT%{_iconsdir}/dayplanner_HC.png
install -m644 ./art/dayplanner_HC16.png -D $RPM_BUILD_ROOT%{_miconsdir}/dayplanner_HC.png
install -m644 ./art/dayplanner_HC48.png -D $RPM_BUILD_ROOT%{_liconsdir}/dayplanner_HC.png

# Find the localization
%find_lang %{name}

%post 
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f dayplanner.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS THANKS TODO ./doc/*
%{_bindir}/dayplanner
%{_bindir}/dayplanner-daemon
%{_bindir}/dayplanner-notifier
%{_datadir}/%name/
%{_iconsdir}/dayplanner*.png
%{_miconsdir}/dayplanner*.png
%{_liconsdir}/dayplanner*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/*

%changelog
* Sun Dec 13 2020 daniel <meisssw01 at gmail.com> 0.11-1pclos2020
- upstream tarball

* Tue Nov 29 2011 leiche <meisssw01 at gmail.com> 0.10-2pclos2011
- rebuild for 64 bit

* Mon Sep 20 2010 leiche <meisssw01 at aol.com> 0.10-2pclos2010
- rebuild 
- add german synaptic description

* Sat Jun 20 2009 pcserver <pcserver@hushmail.com> 0.10-1pclos2009
- update

* Sun May 25 2008 don_crissti <don_crissti@gmx.com> 0.9-1pclos2007
- new version 0.9

* Mon Jan 15 2007 Texstar <texstar@houston.rr.com> 0.4.1-1pclos2007
- build for pclos 2007
